const express = require('express');

const api = express();

const enrollment = require('./enrollment');

const state = require('./state');

const region = require('./region');

const city = require('./city');

api.get('/', (req, res) => {
    res.json({ msg: 'SimCAQ API is running' });
});

// mount API routes
api.use('/api/v1/enrollment', enrollment);
api.use('/api/v1/state', state);
api.use('/api/v1/region', region);
api.use('/api/v1/city', city);

module.exports = api;
